function props = OCPprops(ODEsys)

    x = ODEsys.x;
    u = ODEsys.u;

    props = struct;
    
    props.d = 3; % Number of collocation points per step
    props.T = 20; % Time horizon
    props.N = 50;
    % Autmatically minimizes, need (-) to maximize
    %% Max biomass
    %props.stageCost = -x(1);
    %% Max product in outstream [mumol/h]
    %props.stageCost = -x(5)*u(3); 
    %% Total SSL conc
    SSLconc=36+110+45;
    %% Synthetic SSL
    %SSLconc=20+20+20;
    %% Max yield biomass
%    props.stageCost= -x(1)*u(3)/((SSLconc*u(2)) + 0.1);
    %% Max yield product
   props.stageCost= -x(5)*u(3) + u(2)*(x(2) + x(3) + x(4));

    props.terminalCost = [];
    
    
end