function props = OCPprops(ODEsys)

    x = ODEsys.x;
    u = ODEsys.u;

    props = struct;
    
    props.d = 3; % Number of collocation points per step
    props.T = 20; % Time horizon
    props.N = 50; % Number of steps in time horizon
    
    % Autmatically minimizes, need (-) to maximize
    %% A) Max biomass
    %props.stageCost = -x(1) - x(2) -x(3);
    %% B) Max product in outstream [mumol/h]
    %props.stageCost = -x(7)*u(5); 
    %% Total SSL conc
    SSLconc=20+20+20;
    %% C) Max yield biomass
    %props.stageCost= -x(1)*u(5)/((SSLconc*u(4)) + 0.1) -x(2)*u(5)/((SSLconc*u(4))+0.1) -x(3)*u(5)/((SSLconc*u(4))+0.1);
    %% Linearized approximation
    %%props.stageCost= -x(1)*u(5) - x(2)*u(5) - x(3)*u(5) + SSLconc*u(4);
    %% D) Max yield product
    % Linearized approximation
    props.stageCost= -x(7)*u(5) + u(4)*(x(4) + x(5) + x(6));

    props.terminalCost = [];
    
    
end